from flask import request, url_for
from app.models import CorpusFile
from ..utils import corpus_endpoint_arguments_constructor as corpus_eac


def corpus_file_dynamic_list_constructor():
    corpus_id = request.view_args['corpus_id']
    corpus_file_id = request.view_args['corpus_file_id']
    corpus_file = CorpusFile.query.filter_by(corpus_id=corpus_id, id=corpus_file_id).first_or_404()
    return [
        {
            'text': f'{corpus_file.author}: {corpus_file.title} ({corpus_file.publishing_year})',
            'url': url_for('.corpus_file', corpus_id=corpus_id, corpus_file_id=corpus_file_id)
        }
    ]
